Imports System.Net.NetworkInformation

Module Module1

    Sub Main()
        Dim Success As Boolean

        ' Próbujemy skontaktować się z www.yahoo.com (czekamy najwyżej 1000
        ' milisekund, co jest wartością domyślną, jeśli nie podamy limitu czasu)
        Console.WriteLine("Sprawdzanie łączności z  yahoo")
        Success = My.Computer.Network.Ping("www.yahoo.com", 1000)
        Console.WriteLine("Czy komputer odpowiedział?" & Success)
        Console.WriteLine()
        ' Można również użyć liczbowego adresu IP zamiast nazwy komputera.
        ' Poniższy test powinien się powieść, ponieważ użyto w nim adresu zwrotnego,
        ' który zawsze wskazuje lokalny komputer.
        Success = My.Computer.Network.Ping("127.0.0.1")
        Console.WriteLine("Sprawdzanie łączności z 127.0.0.1")
        Console.WriteLine("Czy komputer odpowiedział?" & Success)
        Console.WriteLine()

        Console.WriteLine("Sprawdzanie łączności z  yahoo (szczegóły)")
        Dim Pinger As New Ping
        Dim Reply As PingReply = Pinger.Send("www.yahoo.com")
        Console.WriteLine("Czas (w milisekundach): " & Reply.RoundtripTime)
        Console.WriteLine("Wynik testu: " & Reply.Status.ToString())
        Console.WriteLine("Adres docelowego komputera: " & Reply.Address.ToString())

        Console.ReadLine()
    End Sub

End Module
